import {Fragment, useEffect, useMemo, useState} from "react";
import {Card, Cascader, CascaderView} from "antd-mobile";
import {getTaskByPid} from "../../utils";
import dayjs from "dayjs";
import {DATE_TIME_FORMAT} from "../../utils/timeFormatUtil";
import {useChildList} from "../../hooks/useChildList";

export default () => {
    // const [valueToOptions, setValueToOptions] = useState([])
    // const [currentTask, setCurrentTask] = useState({
    //     name:"想做的事情",
    //     description:"想做的事情描述",
    //     expectedStartTime:dayjs().format(DATE_TIME_FORMAT),
    //     expectedEndTime:"",
    //     state:"",
    //     priority:"",
    // })
    // const options = useMemo(() => {
    //     function generate(v) {
    //         const options = valueToOptions[v]
    //         if (options === null || options === undefined) {
    //             return undefined
    //         }
    //         // if (options === undefined) {
    //         //     return Cascader.optionSkeleton
    //         // }
    //         return options.map(option => ({
    //             ...option,
    //             children: generate(option.value),
    //         }))
    //     }
    //
    //     return generate('0') ?? []
    // }, [valueToOptions])
    //
    // async function fetchOptionsForValue(v, level) {
    //     if (v in valueToOptions) return
    //     // if (level >= 3) {
    //     //     setValueToOptions(prev => ({
    //     //         ...prev,
    //     //         [v]: null,
    //     //     }))
    //     //     return
    //     // }
    //     const data = await getTaskByPid(v)
    //     console.log("await getTaskByPid(v)", data.content)
    //     const options =
    //         data.content.length === 0
    //             ? null
    //             : data.content.map(task => ({
    //                 value: task.id,
    //                 label: task.name,
    //             }))
    //     console.log("await getTaskByPid(v) options", options)
    //     if (options){
    //         setValueToOptions(prev => ({
    //             ...prev,
    //             [v]: options,
    //         }))
    //     }else {
    //         setValueToOptions(prev => ({
    //             ...prev,
    //             [v]: undefined,
    //         }))
    //     }
    // }

    // useEffect(() => {
    //     fetchOptionsForValue('0', 0)
    // }, [])

    const {task, options, changeTaskId,} = useChildList();
    return <Fragment>
        <Card title={task?.name} style={{height: "30vh", borderRadius: "10px"}}>
            <p>{task?.description}</p>

            <p>预计开始时间:{task?.expectedStartTime}</p>
            <p>预计结束时间:{task?.expectedEndTime}</p>
        </Card>
        <CascaderView
            options={options}
            onChange={value => {
                // fetchOptionsForValue(value[value.length-1])
                console.log({value})
                changeTaskId(value)
            }}

        />
    </Fragment>
}